<template>
  <div class="container-bridge">
<!--    <el-button type="primary" style="float:right; margin-right: 260px; margin-top: 10px" icon="el-icon-edit" @click="edit">编辑</el-button>-->
    <detail ref="detail" @watchChild="fetchData"/>
    <edit-bridge v-show="editShow" ref="editbridge" @watchChild="fetchData"/>
  </div>
</template>
<script>
import detail from '@/views/bridge/components/detail'
import editBridge from '@/views/bridge/components/editBridge'
export default {
  name: 'YongSheng',
  components: { detail, editBridge },
  data() {
    return {
      editShow: false
    }
  },
  mounted() {
    this.fetchData()
  },
  methods: {
    fetchData() {
      this.$refs.detail.fetchData('永胜桥')
    },
    edit() {
      this.$refs.detail.showUploadBut()
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  .container-bridge {
    background-color: #fffffb !important;
    width: 100%;
    height: 100%;
    min-height: calc(100vh - 158px);
    overflow: auto;
    /*margin-bottom: 120px;*/
    padding-bottom: 20px;
    margin-top: 0;
  }
</style>
